# VLSI SAPD Documentation

Presentation | AGDS | CIF | DTR | OPENCHAMS | SPICE | Links & Contact

Public Member Functions
Circuit Class Reference

## Public Member Functions

bool | addPolygon (Polygon *)
| adds a Polygon to the Circuit. More...
| Circuit (std::string name, std::string unit, double scale)
| creates a new Circuit More...
bool | writeToFile (std::string)
| writes the database to file. More...

## Detailed Description

This class contains all CIF circuit informations such as the name, the unit used, the scale and the list of all Polygons.

## Constructor & Destructor Documentation

## ◆ Circuit()

Circuit | ( | std::string | name,
|  | std::string | unit,
|  | double | scale
| ) |  |

creates a new Circuit

Parameters

  name | the name of the circuit.
  unit | the unit used for all distances & coordinates.
  scale | the scale used to convert DB unit to real unit (specified by the unit).

## Member Function Documentation

## ◆ addPolygon()

bool addPolygon | ( | Polygon * | polygon | ) |

adds a Polygon to the Circuit.

Parameters

  polygon | the Polygon object to add.

## ◆ writeToFile()

bool writeToFile | ( | std::string | filename | ) |

writes the database to file.

Parameters

  filename | the destination file name.

Note
  When driving file, current date and time are used to define date in generated CIF file.